Bug 2072559 (CVE-2022-1097) - CVE-2022-1097 Mozilla: Use-after-free in NSSToken objects
Summary: CVE-2022-1097 Mozilla: Use-after-free in NSSToken objects
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-1097
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2069596 2069597 2069598 2069599 2069600 2069601 2069602 2069603 2069604 2069610 2072587 2072588 2072589 2072590 2072591 2072592 2072593 2072594 2072595
Blocks: 2069594
TreeView+ depends on / blocked
 
Reported: 2022-04-06 14:17 UTC by Mauro Matteo Cascella
Modified: 2022-10-13 13:07 UTC (History)
5 users (show)

Fixed In Version: firefox 91.8, thunderbird 91.8
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Mozilla. The Mozilla Foundation Security Advisory describes the issue of NSSToken objects referenced via direct points that could have been accessed unsafely on different threads, leading to a use-after-free and potentially exploitable crash.
Clone Of:
Environment:
Last Closed: 2022-04-12 17:26:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1283 0 None None None 2022-04-08 13:58:47 UTC
Red Hat Product Errata RHSA-2022:1284 0 None None None 2022-04-08 15:08:29 UTC
Red Hat Product Errata RHSA-2022:1285 0 None None None 2022-04-08 14:43:06 UTC
Red Hat Product Errata RHSA-2022:1286 0 None None None 2022-04-08 14:35:00 UTC
Red Hat Product Errata RHSA-2022:1287 0 None None None 2022-04-08 14:38:07 UTC
Red Hat Product Errata RHSA-2022:1301 0 None None None 2022-04-11 14:13:58 UTC
Red Hat Product Errata RHSA-2022:1302 0 None None None 2022-04-11 14:48:55 UTC
Red Hat Product Errata RHSA-2022:1303 0 None None None 2022-04-11 13:49:46 UTC
Red Hat Product Errata RHSA-2022:1305 0 None None None 2022-04-11 14:31:59 UTC
Red Hat Product Errata RHSA-2022:1326 0 None None None 2022-04-12 14:31:36 UTC

Description Mauro Matteo Cascella 2022-04-06 14:17:59 UTC
`NSSToken` objects were referenced via direct points, and could have been accessed in an unsafe way on different threads, leading to a use-after-free and potentially exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2022-14/#CVE-2022-1097

Comment 1 errata-xmlrpc 2022-04-08 13:58:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1283 https://access.redhat.com/errata/RHSA-2022:1283

Comment 2 errata-xmlrpc 2022-04-08 14:34:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1286 https://access.redhat.com/errata/RHSA-2022:1286

Comment 3 errata-xmlrpc 2022-04-08 14:38:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1287 https://access.redhat.com/errata/RHSA-2022:1287

Comment 4 errata-xmlrpc 2022-04-08 14:43:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1285 https://access.redhat.com/errata/RHSA-2022:1285

Comment 5 errata-xmlrpc 2022-04-08 15:08:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1284 https://access.redhat.com/errata/RHSA-2022:1284

Comment 6 errata-xmlrpc 2022-04-11 13:49:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:1303 https://access.redhat.com/errata/RHSA-2022:1303

Comment 7 errata-xmlrpc 2022-04-11 14:13:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1301 https://access.redhat.com/errata/RHSA-2022:1301

Comment 8 errata-xmlrpc 2022-04-11 14:31:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:1305 https://access.redhat.com/errata/RHSA-2022:1305

Comment 9 errata-xmlrpc 2022-04-11 14:48:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1302 https://access.redhat.com/errata/RHSA-2022:1302

Comment 10 errata-xmlrpc 2022-04-12 14:31:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:1326 https://access.redhat.com/errata/RHSA-2022:1326

Comment 11 Product Security DevOps Team 2022-04-12 17:26:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1097


Note You need to log in before you can comment on or make changes to this bug.